-- vendor1.sql

DECLARE
  curr_partno VARCHAR2(20);
  new_partno VARCHAR2(20);
  vend_id VARCHAR2(4);
BEGIN
  SELECT vendor_id, vendor_part_number
    INTO vend_id, curr_partno
    FROM product
   WHERE product_id = 'BROD0000020';

  new_partno :=  vend_id || '-' || curr_partno;

  UPDATE product
     SET vendor_part_number = new_partno
   WHERE product_id = 'BROD0000020';
END;
/
